Appearance
Get reservation guestdata
GET
/v1/reservations/{reservation_id}/guestdata
Get the current guest data for the reservation and what is the conditions are.
Authorizations
api_key
Type
API Key (header: X-Api-Key)
Parameters
Path Parameters
reservation_id*
XS2event ID of the Reservation
Type
Requiredstring
Query Parameters
sorting
Default
nullinclude_conditions
Include validation conditions?
Type
boolean
Example
falseDefault
falsecountry_hint
Hint for country code
Type
string
Example
"NLD"Responses
OK
application/json
JSON "items": [ { "ticket_id": "ac8e9e918b4b4756b0f32e583a9cb3e4_tck", "quantity": 4, "guests": [ { "first_name": { "value": "John", "condition": null, "error": null }, "last_name": { "value": "John", "condition": null, "error": null }, "passport_number": { "value": "John", "condition": null, "error": null }, "contact_email": { "value": "John", "condition": null, "error": null }, "contact_phone": { "value": "John", "condition": null, "error": null }, "date_of_birth": { "value": "John", "condition": null, "error": null }, "gender": { "value": "John", "condition": null, "error": null }, "country_of_residence": { "value": "John", "condition": null, "error": null }, "lead_guest": true, "guest_id": "5661e8fd160a48e18ec363cad686ba2c_gst", "street_name": { "value": "John", "condition": null, "error": null }, "additional_street_name": { "value": "John", "condition": null, "error": null }, "city": { "value": "John", "condition": null, "error": null }, "zip": { "value": "John", "condition": null, "error": null }, "province": { "value": "John", "condition": null, "error": null }, "supported_team": { "value": "John", "condition": null, "error": null } } ] } ]
{
}